Bug 1264237 - [abrt] gnome-gmail: Gtk.py:83:_extract_handler_and_args:AttributeError: Handler onUserSelClose not found
[abrt] gnome-gmail: Gtk.py:83:_extract_handler_and_args:AttributeError: Handl...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-gmail (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Guillaume Kulakowski
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5d1014a13d2f157a16d1ed66d2a...
: Reopened
: 1316217 1331956 1349778 1398490 1470717 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 20:35 EDT by Bruce-Robert Pocock
Modified: 2017-09-30 02:28 EDT (History)
12 users (show)

See Also:
Fixed In Version: gnome-gmail-2.4.1-3.fc26 gnome-gmail-2.4.1-3.fc27
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-21 19:53:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (653 bytes, text/plain)
2015-09-17 20:35 EDT, Bruce-Robert Pocock
no flags Details
File: environ (2.25 KB, text/plain)
2015-09-17 20:35 EDT, Bruce-Robert Pocock
no flags Details

  None (edit)
Description Bruce-Robert Pocock 2015-09-17 20:35:57 EDT
Version-Release number of selected component:
gnome-gmail-1.9.3.1-1.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        python2.7 /usr/share/gnome-gmail/gnomegmail.py -q
dso_list:       pygobject3-base-3.16.1-1.fc22.x86_64
executable:     /usr/share/gnome-gmail/gnomegmail.py
kernel:         4.0.7-300.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
Gtk.py:83:_extract_handler_and_args:AttributeError: Handler onUserSelClose not found

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/gi/overrides/Gtk.py", line 103, in _builder_connect_callback
    handler, args = _extract_handler_and_args(obj_or_map, handler_name)
  File "/usr/lib64/python2.7/site-packages/gi/overrides/Gtk.py", line 83, in _extract_handler_and_args
    raise AttributeError('Handler %s not found' % handler_name)
AttributeError: Handler onUserSelClose not found

Local variables in innermost frame:
handler_name: 'onUserSelClose'
handler: None
obj_or_map: <__main__.Handler instance at 0x7fb1fcd65638>
Comment 1 Bruce-Robert Pocock 2015-09-17 20:35:58 EDT
Created attachment 1074609 [details]
File: backtrace
Comment 2 Bruce-Robert Pocock 2015-09-17 20:35:59 EDT
Created attachment 1074610 [details]
File: environ
Comment 3 Ville Skyttä 2016-03-09 13:04:12 EST
https://github.com/davesteele/gnome-gmail/issues/31
Comment 4 Ville Skyttä 2016-03-09 13:04:35 EST
*** Bug 1316217 has been marked as a duplicate of this bug. ***
Comment 5 Ville Skyttä 2016-05-01 01:52:56 EDT
*** Bug 1331956 has been marked as a duplicate of this bug. ***
Comment 6 Ervin 2016-05-14 14:46:00 EDT
Similar problem has been detected:

Nothing special, I just installed gnome gmail and launched. The error was right from the start. 

reporter:       libreport-2.6.4
cmdline:        /usr/bin/python3 -tt /usr/share/gnome-gmail/gnomegmail.py
event_log:      2016-05-14-20:44:40> ('report_uReport' completed successfully)
executable:     /usr/share/gnome-gmail/gnomegmail.py
kernel:         4.4.9-300.fc23.x86_64
package:        gnome-gmail-2.0.1-1.fc23
reason:         Gtk.py:83:_extract_handler_and_args:AttributeError: Handler onUserSelClose not found
runlevel:       N 5
type:           Python3
uid:            1000
Comment 7 Ville Skyttä 2016-06-25 06:38:38 EDT
*** Bug 1349778 has been marked as a duplicate of this bug. ***
Comment 8 Ervin 2016-07-02 05:35:35 EDT
Similar problem has been detected:

This is a false flag from abrt. The app started normally. Please transfer the bug to abrt. 

reporter:       libreport-2.7.1
cmdline:        /usr/bin/python3 -tt /usr/share/gnome-gmail/gnomegmail.py
event_log:      2016-07-02-11:34:40> ('report_uReport' completed successfully)
executable:     /usr/share/gnome-gmail/gnomegmail.py
kernel:         4.6.3-300.fc24.x86_64
package:        gnome-gmail-2.1-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         Gtk.py:83:_extract_handler_and_args:AttributeError: Handler onUserSelClose not found
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           Python3
uid:            1000
Comment 9 Ervin 2016-07-18 05:36:13 EDT
Similar problem has been detected:

I just installed it and launched it. At the very first time there was this error. I can't reproduce it, 
but it has other bugs such as not launching when firefox is closed. 

reporter:       libreport-2.7.1
cmdline:        /usr/bin/python3 -tt /usr/share/gnome-gmail/gnomegmail.py
event_log:      2016-07-18-11:34:06> ('report_uReport' completed successfully)
executable:     /usr/share/gnome-gmail/gnomegmail.py
kernel:         4.6.3-300.fc24.x86_64
package:        gnome-gmail-2.1-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         Gtk.py:83:_extract_handler_and_args:AttributeError: Handler onUserSelClose not found
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           Python3
uid:            1000
Comment 10 Fedora End Of Life 2016-07-19 13:56:32 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Ville Skyttä 2016-11-25 02:31:51 EST
*** Bug 1398490 has been marked as a duplicate of this bug. ***
Comment 12 Ville Skyttä 2017-07-16 00:19:43 EDT
*** Bug 1470717 has been marked as a duplicate of this bug. ***
Comment 13 Fedora Update System 2017-09-13 15:04:59 EDT
gnome-gmail-2.4.1-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fa86ded72a
Comment 14 Fedora Update System 2017-09-13 15:06:30 EDT
gnome-gmail-2.4.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-62abf0beca
Comment 15 Fedora Update System 2017-09-13 15:06:58 EDT
gnome-gmail-2.4.1-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5aab64e79c
Comment 16 Fedora Update System 2017-09-14 00:53:34 EDT
gnome-gmail-2.4.1-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fa86ded72a
Comment 17 Fedora Update System 2017-09-14 01:50:36 EDT
gnome-gmail-2.4.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-62abf0beca
Comment 18 Fedora Update System 2017-09-14 14:21:53 EDT
gnome-gmail-2.4.1-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5aab64e79c
Comment 19 Fedora Update System 2017-09-21 19:53:22 EDT
gnome-gmail-2.4.1-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2017-09-22 01:21:54 EDT
gnome-gmail-2.4.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2017-09-30 02:28:12 EDT
gnome-gmail-2.4.1-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.